corda / net.corda.core.crypto / Crypto / findSignatureSchemeCodeName

# findSignatureSchemeCodeName

`fun findSignatureSchemeCodeName(key: Key): String`

Retrieve the corresponding signature scheme code name based on the type of the input Key. See Crypto for the supported scheme code names.

### Parameters

`key` - either private or public.

### Exceptions

`IllegalArgumentException` - if the requested key type is not supported.

Return
signatureSchemeCodeName for a Key.